DPKG-PRECONFIGURE.PT.8(8)

NOME
dpkg-preconfigure - permite que os pacotes façam perguntas antes da sua instalação

SINOPSE
 dpkg-preconfigure [opções] pacote.deb

 dpkg-preconfigure --apt

DESCRIÇÃO
dpkg-preconfigure permite que os pacotes façam perguntas antes de serem instalados. Opera num conjunto de pacotes debian, e todos os pacotes que usam debconf terão o seu script config executado para que possam examinar o sistema e fazer perguntas.

OPÇÕES

-ftype, --frontend=type
    Selecciona o frontend a usar.

-pvalue, --priority=value
    Define a prioridade mais baixa das questões que lhe interessam. Quaisquer questões com uma prioridade abaixo da prioridade seleccionada serão ignoradas e serão usadas as suas respostas predefinidas.

--terse
    Activa o modo de saída terse. Isto afecta apenas alguns frontends.

--apt
    Corre em modo apt. Irá esperar ler um conjunto de nomes de ficheiros de pacotes a partir do stdin, em vez de os obter como parâmetros. Tipicamente isto é usado para fazer com que o apt corra o dpkg-preconfigure em todos os pacotes antes de eles serem instalados. Para fazer isto, adicione algo como isto ao /etc/apt/apt.conf:

     // Pré-configura todos os pacotes antes
     // de estarem instalados.
     DPkg::Pre-Install-Pkgs {
            "dpkg-preconfigure --apt --priority=low";
     };

-h, --help
    Mostra a ajuda de utilização.

VEJA TAMBÉM
debconf(7)

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro <a_monteiro@netcabo.pt>, 2010, 2012

Por favor comunique quaisquer erros de tradução para a_monteiro@netcabo.pt, l10n@debianpt.org, ou submeta um relatório de bug contra o pacote debconf.